Skip to main content
GET
/
v1
/
vaults
List Vaults
curl --request GET \
  --url https://api.yieldo.xyz/v1/vaults
[
  {
    "vault_id": "<string>",
    "name": "<string>",
    "address": "<string>",
    "chain_id": 123,
    "chain_name": "<string>",
    "asset": {
      "address": "<string>",
      "symbol": "<string>",
      "decimals": 123
    },
    "deposit_router": "<string>",
    "accepted_assets": [],
    "type": "morpho",
    "min_deposit": "<string>",
    "no_minimum": false,
    "curator": "<string>",
    "paused": false,
    "paused_reason": "<string>",
    "external_router": false
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

chain_id
integer | null

Filter by chain ID

asset
string | null

Filter by asset symbol

Response

Successful Response

vault_id
string
required
name
string
required
address
string
required
chain_id
integer
required
chain_name
string
required
asset
AssetInfo · object
required
deposit_router
string
required
accepted_assets
AssetInfo · object[]
type
string
default:morpho
min_deposit
string | null
no_minimum
boolean
default:false
curator
string | null
paused
boolean
default:false
paused_reason
string | null
external_router
boolean
default:false